Debian Bug report logs - #618592
zfsutils misses zdb, zinject and ztest (with patch)

version graph

Package: zfsutils; Maintainer for zfsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for zfsutils is src:zfsutils.

Reported by: Arno Töll <debian@toell.net>

Date: Wed, 16 Mar 2011 19:00:01 UTC

Severity: normal

Tags: patch

Found in version zfsutils/8.1-4

Fixed in version zfsutils/8.2-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#618592; Package zfsutils. (Wed, 16 Mar 2011 19:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 16 Mar 2011 19:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: submit@bugs.debian.org
Subject: zfsutils misses zdb, zinject and ztest (with patch)
Date: Wed, 16 Mar 2011 19:49:29 +0100
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: zfsutils
Version: 8.1-4
Severity: normal
Tags: patch, kfreebsd

The currently shipped version of zfsutils lacks the commands `zdb',
`ztest' and `zinject'.

Upstream does ship those utilities, so I tried to patch the current
package to include them. My patch fixes this issue and provides binaries
ready to provides packages:


root@kfreebsd:~/testbuild/zfsutils-8.1#
LD_PRELOAD="./cddl/lib/libumem/libumem.so
./cddl/lib/libzpool/libzpool.so ./cddl/lib/libavl/libavl.so"
./cddl/usr.sbin/zdb/zdb
zfs_pool
    version=14
    name='zfs_pool'
    state=0
    txg=4
    pool_guid=10142712129494363932
    hostname='kfreebsd'
...


However packages do not build (but compiling and usage of them succeeds
when using the proper libraries) because dpkg-shlibdeps fails to resolve
the dependency for libavl, as I did not provide a binary for this
package, it is included in the source though and builds fine. Problem
is, there is a non ABI and API compatible libavl package in Debian
already (http://packages.debian.org/source/squeeze/libavl) which clashes
with the implementation those utilities use.

You, as developer might choose how to resolve this conflict finally,
maybe it is necessary to rename the "libavl" zfsutils expect for kfreebsd.

I attached a patch for the debian directory which solves the original
problem though, i.e. it provides a `zdb' enabled zfustils and provides
some new binary packages required by those. It is not entirely
straightforward to apply the patch, since the source package is, ...
well, ... needs some time to get used to. You need a new orig.tar.gz to
build the new package, I used r219701 from upstream's SVN. To apply the
patch do:

root@kfreebsd:~/testbuild# apt-get source zfsutils
root@kfreebsd:~/testbuild# rm zfsutils_8.1.orig.tar.gz
root@kfreebsd:~/testbuild# cd zfsutils-8.1/
root@kfreebsd:~/testbuild/zfsutils-8.1# patch -p0  <
../debian-diff/debian-diff.patch
root@kfreebsd:~/testbuild/zfsutils-8.1# make -f debian/rules get-orig-source
root@kfreebsd:~/testbuild# mv zfsutils-8.1/debian .
root@kfreebsd:~/testbuild# rm -rf zfsutils-8.1
root@kfreebsd:~/testbuild# tar zxf zfsutils_8.1.orig.tar.gz
root@kfreebsd:~/testbuild# cd zfsutils-8.1
root@kfreebsd:~/testbuild/zfsutils-8.1# mv ../debian .

build as usual from here on. Please note I neither changed
debian/changelog nor did I increase the version number.

- -- 
with kind regards,
Arno Töll
GnuPG Key-ID: 0x8408D4C4
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJNgQY4AAoJELBdpXvEXpo9xZ0P/0za/cgC37JfuBM7yWNRaWPR
QdyorS+lCBsi+yboCdJ28tk8pil3nd39cWbu9D7MlFKdkNb3tW+rRYHqHz0zOV9v
5LXTWofQezIqqUnlInfT3LXKe6MBknFx3q4UnmU4Yc1pvrwCKvOVVPVNsmvmMCIs
h9an6Ag+6bqf+QhtAZ4kqz12pvq5jOfyrXFRNLSsNenxG7FRmH/29QClp8epX5wO
mktTDvt1wbFRKgJXqL2c4MFyVvbej7tv1RtXQ0DCOq7UYbUBdh6F4dAk6v3CQval
/3YMJ97zV0TpLN8GBmoztDoL9AbBL42GAMiXE2xEEjICpVchY7UEdlZJszltcH7L
J2qV+lASGXjoqn6cpXvSzDEiEKIt+cUJusVVKe3hC3cH8ZeWS8++JB1/SeaoamqY
u08PSCsru4FiDFA9Qz5FMf+1/NePdR1ykvFQLj1mcQCMU6jLuqSXXZr53O2j+6cz
alC8UU02hk/vlYkQ/xHvsoIky9R7pMMDOKK4LjcEDRZefp8N9ftMBQAtkdRloYur
OeWbCjUt1qljOegwuuracoXbfRwxjhAQZVjOIKpV6MH4eQIWTGx51vbZOB44xeJy
tPYsW6iDUMoe23KJF9jJp7kctlsgohSQDv5Cn4Q3A6KDUChEeqrfCt2b8G1bt8PK
EzSoiLnZxGNiLenRljnv
=vmvZ
-----END PGP SIGNATURE-----
[debian-diff.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#618592; Package zfsutils. (Thu, 17 Mar 2011 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 17 Mar 2011 12:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 618592@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Arno Töll <debian@toell.net>, 618592@bugs.debian.org
Subject: Re: Bug#618592: zfsutils misses zdb, zinject and ztest (with patch)
Date: Thu, 17 Mar 2011 13:35:53 +0100
2011/3/16 Arno Töll <debian@toell.net>:
> However packages do not build (but compiling and usage of them succeeds
> when using the proper libraries) because dpkg-shlibdeps fails to resolve
> the dependency for libavl, as I did not provide a binary for this
> package, it is included in the source though and builds fine. Problem
> is, there is a non ABI and API compatible libavl package in Debian
> already (http://packages.debian.org/source/squeeze/libavl) which clashes
> with the implementation those utilities use.

Hi,

A small bit of advice:

- The extra libraries could be linked statically instead of providing them
as packages.  This solves the libavl API conflict.
- The alloca and __unused hacks could be done via CFLAGS (other packages
of FreeBSD code do this IIRC)
- Instead of embedding strlcpy() you can use the one in libbsd.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#618592; Package zfsutils. (Wed, 06 Apr 2011 23:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 06 Apr 2011 23:00:35 GMT) Full text and rfc822 format available.

Message #15 received at 618592@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: Robert Millan <rmh@debian.org>
Cc: 618592@bugs.debian.org
Subject: Re: Bug#618592: zfsutils misses zdb, zinject and ztest (with patch)
Date: Thu, 07 Apr 2011 00:48:10 +0200
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Robert,

> A small bit of advice:
> 
> - The extra libraries could be linked statically instead of providing them
> as packages.  This solves the libavl API conflict.
> - The alloca and __unused hacks could be done via CFLAGS (other packages
> of FreeBSD code do this IIRC)
> - Instead of embedding strlcpy() you can use the one in libbsd.


I prepared a new version of the patch. Apply it as explained last time.
This time I followed your advise and moreover I fixed some problems to
get those binaries really working. zdb and zinject seem to be fine now,
ztest segfaults after a bit, but that seems to be an upstream issue [1].
I don't know FreeBSD well enough to tell whether this bug has been fixed
in trunk or not.

The patch now links statically against libavl, adds a libumem0 and a
libzpool0 library (both with udeb and -dev) and tweaks some Makefiles to
get things working.

I replaced the alloca(x) hack by a CFLAGS argument as you suggested, but
I still left the __unused hack as is since it appears only a single
time. Moreover I added another patch fixing some upstream quirks in
ztest by cherry picking some commits from upstream. This gets ztest at
least running, but still fails upon a certain point. This patch is DEP-3
complaint to ease tracking for you in future. You may drop it, as soon
as you switch to a new(er) upstream branch.


[1]
http://freebsd.1045724.n5.nabble.com/How-to-run-ZFS-Test-Suite-ztest-td4034131.html
- -- 
with kind regards,
Arno Töll
GnuPG Key-ID: 0x8408D4C4
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJNnO2qAAoJELBdpXvEXpo9jd4P/ioYW4MUjw/gj/6YoaWy7nYs
9V/8GD0G6Od1PhCVPc6cjqTiyR7qoB883Io+4fRmpo0a8wd1ZFNU4PjXPV22jSpn
y9ZtmD3oTAKOy6DAsn5tLNhVYArNAbuQAQLNp2j8M1NeMZTtfDTtSLfdoJAtoAGw
cOcssSWvk+BNV2+WZ4EClab0ogDjSX2wfxmpgsuO0kBkOfOIGvJxK3xmqSOU+DDB
yebZZM362fBLbuyxYN1PsV2Sdq57HuVVJ7K6g8kB+2RakyKtP8WSCXa7Es4WjB10
2KhpVQKscl2ajJWJfidUF4RjgO8D3eOt6S0QVeNWa94dqneQ2rMUxH3CkxTQCHU4
8Bn0yuTVrK+UxvwI31QbhEmGTeJ4Q1oNDL2Ptd4JAlOcz3X1zM9yGtsJt3OSLY1D
WhEyUQJ3uzTrIdoT+JqAApz0dPVf08iXLTryJeKUorbT24LSWoN0N6hr6ug2LwmL
E7TrmXKptiTb7L34gX6dnXySjxKPcFexvXnZ1o/cPSE7BzcAJkXlN7YHi2X8ebFr
Xnc1H+GQZ4Fwc6WP0iFAMgzaE3CJ7Bu7Aa1kI+KQQMb5AFO4boMzX2eCGC5sbHI7
jvYXcTAHLkV7aPzjCT79HVlju/0un6w5BcfJQZW/QNSFT1Uy/KIcLYQZLiwValA3
5DDl1a4zCuSwLrg7rk+B
=c2FH
-----END PGP SIGNATURE-----
[zfsutils.patch (text/x-diff, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 23 Apr 2011 23:03:48 GMT) Full text and rfc822 format available.

Notification sent to Arno Töll <debian@toell.net>:
Bug acknowledged by developer. (Sat, 23 Apr 2011 23:03:48 GMT) Full text and rfc822 format available.

Message #20 received at 618592-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 618592-close@bugs.debian.org
Subject: Bug#618592: fixed in zfsutils 8.2-1
Date: Sat, 23 Apr 2011 23:02:47 +0000
Source: zfsutils
Source-Version: 8.2-1

We believe that the bug you reported is fixed in the latest version of
zfsutils, which is due to be installed in the Debian FTP archive:

libnvpair-dev_8.2-1_kfreebsd-amd64.deb
  to main/z/zfsutils/libnvpair-dev_8.2-1_kfreebsd-amd64.deb
libnvpair0-udeb_8.2-1_kfreebsd-amd64.udeb
  to main/z/zfsutils/libnvpair0-udeb_8.2-1_kfreebsd-amd64.udeb
libnvpair0_8.2-1_kfreebsd-amd64.deb
  to main/z/zfsutils/libnvpair0_8.2-1_kfreebsd-amd64.deb
libumem-dev_8.2-1_kfreebsd-amd64.deb
  to main/z/zfsutils/libumem-dev_8.2-1_kfreebsd-amd64.deb
libumem0-udeb_8.2-1_kfreebsd-amd64.udeb
  to main/z/zfsutils/libumem0-udeb_8.2-1_kfreebsd-amd64.udeb
libumem0_8.2-1_kfreebsd-amd64.deb
  to main/z/zfsutils/libumem0_8.2-1_kfreebsd-amd64.deb
libuutil-dev_8.2-1_kfreebsd-amd64.deb
  to main/z/zfsutils/libuutil-dev_8.2-1_kfreebsd-amd64.deb
libuutil0-udeb_8.2-1_kfreebsd-amd64.udeb
  to main/z/zfsutils/libuutil0-udeb_8.2-1_kfreebsd-amd64.udeb
libuutil0_8.2-1_kfreebsd-amd64.deb
  to main/z/zfsutils/libuutil0_8.2-1_kfreebsd-amd64.deb
libzfs-dev_8.2-1_kfreebsd-amd64.deb
  to main/z/zfsutils/libzfs-dev_8.2-1_kfreebsd-amd64.deb
libzfs0-udeb_8.2-1_kfreebsd-amd64.udeb
  to main/z/zfsutils/libzfs0-udeb_8.2-1_kfreebsd-amd64.udeb
libzfs0_8.2-1_kfreebsd-amd64.deb
  to main/z/zfsutils/libzfs0_8.2-1_kfreebsd-amd64.deb
libzpool-dev_8.2-1_kfreebsd-amd64.deb
  to main/z/zfsutils/libzpool-dev_8.2-1_kfreebsd-amd64.deb
libzpool0-udeb_8.2-1_kfreebsd-amd64.udeb
  to main/z/zfsutils/libzpool0-udeb_8.2-1_kfreebsd-amd64.udeb
libzpool0_8.2-1_kfreebsd-amd64.deb
  to main/z/zfsutils/libzpool0_8.2-1_kfreebsd-amd64.deb
zfsutils-udeb_8.2-1_kfreebsd-amd64.udeb
  to main/z/zfsutils/zfsutils-udeb_8.2-1_kfreebsd-amd64.udeb
zfsutils_8.2-1.diff.gz
  to main/z/zfsutils/zfsutils_8.2-1.diff.gz
zfsutils_8.2-1.dsc
  to main/z/zfsutils/zfsutils_8.2-1.dsc
zfsutils_8.2-1_kfreebsd-amd64.deb
  to main/z/zfsutils/zfsutils_8.2-1_kfreebsd-amd64.deb
zfsutils_8.2.orig.tar.gz
  to main/z/zfsutils/zfsutils_8.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 618592@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated zfsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Apr 2011 21:53:04 +0200
Source: zfsutils
Binary: libuutil0 libuutil-dev libuutil0-udeb libnvpair0 libnvpair-dev libnvpair0-udeb libzfs0 libzfs-dev libzfs0-udeb zfsutils zfsutils-udeb libumem0 libumem-dev libumem0-udeb libzpool0 libzpool-dev libzpool0-udeb
Architecture: source kfreebsd-amd64
Version: 8.2-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 libnvpair-dev - Development files for libnvpair
 libnvpair0 - OpenSolaris name-value pair library
 libnvpair0-udeb - OpenSolaris name-value pair library (udeb)
 libumem-dev - Development files for libnvpair
 libumem0   - OpenSolaris name-value pair library
 libumem0-udeb - OpenSolaris name-value pair library (udeb)
 libuutil-dev - Development files for libuutil
 libuutil0  - OpenSolaris userland utility library
 libuutil0-udeb - OpenSolaris userland utility library (udeb)
 libzfs-dev - Development files for libzfs
 libzfs0    - FreeBSD ZFS library
 libzfs0-udeb - FreeBSD ZFS library (udeb)
 libzpool-dev - Development files for libnvpair
 libzpool0  - OpenSolaris name-value pair library
 libzpool0-udeb - OpenSolaris name-value pair library (udeb)
 zfsutils   - command-line tools to manage ZFS filesystems
 zfsutils-udeb - command-line tools to manage ZFS filesystems (udeb)
Closes: 618592
Changes: 
 zfsutils (8.2-1) unstable; urgency=low
 .
   [ Petr Salinger ]
   * Based on FreeBSD 8.2.
 .
   [ Robert Millan ]
   * Fix bootloader advice to give instructions on upgrading GRUB.
 .
   [ Aurelien Jarno ]
   * Fix build with recent binutils versions.
   * Add zdb, zinject and ztest, based on a patch from Arno Töll.
     Closes: #618592.
   * Bump to Standards-Version 3.9.2 (no changes).
Checksums-Sha1: 
 77044d4fef0601d53d75f889536a6c40b254c149 1496 zfsutils_8.2-1.dsc
 13a88e5395b3ab05f90d6c65563265261c6ed2e8 1326351 zfsutils_8.2.orig.tar.gz
 b6c37c990be46c1bdb3949f985548b696e1f1ef8 24024 zfsutils_8.2-1.diff.gz
 a61e6362c93f9bb38a03954bab64925988bcc4e5 28766 libuutil0_8.2-1_kfreebsd-amd64.deb
 e73ac8e92249144c9beed8eb7910f663d2b3f074 30008 libuutil-dev_8.2-1_kfreebsd-amd64.deb
 106d0b74642bf1d8819a9cb1bbeb3d359effd4a3 17476 libuutil0-udeb_8.2-1_kfreebsd-amd64.udeb
 ca1d1d5afbddddc152d8f70b064706d9bfe70321 30548 libnvpair0_8.2-1_kfreebsd-amd64.deb
 8555facd603eeb1aeabbba80801d9118bffe442c 30288 libnvpair-dev_8.2-1_kfreebsd-amd64.deb
 b51eb913e76ac75ac4e53f8bb0f6cadeb200b817 19238 libnvpair0-udeb_8.2-1_kfreebsd-amd64.udeb
 8939b9bac54f7dd7e3601d0f904bd120e2ef518c 107224 libzfs0_8.2-1_kfreebsd-amd64.deb
 f242473ab22cd95b4b32338d00f8fcd1ab2e4a31 136338 libzfs-dev_8.2-1_kfreebsd-amd64.deb
 5f288717204a0ae30c9d543e359caa4aaa2b3fd1 96210 libzfs0-udeb_8.2-1_kfreebsd-amd64.udeb
 89de4dea966f8feb9225061c6c2038e4a83c45b7 190346 zfsutils_8.2-1_kfreebsd-amd64.deb
 d03d57bac222e0baf4597001ad5fc601327e052d 68676 zfsutils-udeb_8.2-1_kfreebsd-amd64.udeb
 bedab7a5e7c481cc1805b4be117333e2f7d35f9e 14058 libumem0_8.2-1_kfreebsd-amd64.deb
 ef2c8c7f85d9df0f81d015e5c70f471980356887 13090 libumem-dev_8.2-1_kfreebsd-amd64.deb
 7caae3277ff74d4305bca8fe4aaf32e04156481e 2990 libumem0-udeb_8.2-1_kfreebsd-amd64.udeb
 4a747b78f1dbd7a5ee0920e6155fe82ee81086f8 399934 libzpool0_8.2-1_kfreebsd-amd64.deb
 05248d068c4a3832b5baf68aa559002399d95a9d 505226 libzpool-dev_8.2-1_kfreebsd-amd64.deb
 91ba71ec7a3fb9d96c96b94eb06f3e671c259741 388370 libzpool0-udeb_8.2-1_kfreebsd-amd64.udeb
Checksums-Sha256: 
 f542122d3d5291b929e9f4a00557bbcede5339798e8d44b06d2f539ac2813b13 1496 zfsutils_8.2-1.dsc
 ba542bab4557ea24066f437c06f5baa4010ee93193d96b143b79bf4e44cc2bbc 1326351 zfsutils_8.2.orig.tar.gz
 3a997cf546c226b64ce50b105b8e80983810ffb1584d68c0f5ebc4153c72d551 24024 zfsutils_8.2-1.diff.gz
 f1cc8fbaf0df82c2303541e9ffb8dd7eb4260016b9469aa8256acbf902e3453a 28766 libuutil0_8.2-1_kfreebsd-amd64.deb
 d89e418861d0045e6e998fa5a468b26f321792043bcbc947331a74b4159193a8 30008 libuutil-dev_8.2-1_kfreebsd-amd64.deb
 1dcf493319d48d0a840766498d9f80ee21add5974e8e94660df3b173b6a21fe5 17476 libuutil0-udeb_8.2-1_kfreebsd-amd64.udeb
 cc5a604e492179e606562b90d07fabd4340effc460acc4edfc833cc9dfd480d5 30548 libnvpair0_8.2-1_kfreebsd-amd64.deb
 382ae9198431dd89df40d85e851e981f3289746e0612dde6646a43431cd82ff8 30288 libnvpair-dev_8.2-1_kfreebsd-amd64.deb
 15058e491c27f53f50af879ac298ef5240081b19bb87fdab2d1198f78debf640 19238 libnvpair0-udeb_8.2-1_kfreebsd-amd64.udeb
 463ae6b13cadcee607150fba22cb3238e2f713472617f6506e3160f76393d0f8 107224 libzfs0_8.2-1_kfreebsd-amd64.deb
 c67e5da2267a97324ddd40790b2ba813a630e63bd78253a16d09ff33dac40c62 136338 libzfs-dev_8.2-1_kfreebsd-amd64.deb
 9848390a28452a97d815a57c5207949de2f6c4c96655bd6675bd3cad759c9da2 96210 libzfs0-udeb_8.2-1_kfreebsd-amd64.udeb
 b38790ecd4a4517d7de09a13884fa979552677f3e1bebd5157367167e7cc3985 190346 zfsutils_8.2-1_kfreebsd-amd64.deb
 5e4c98da299a3c883a71a8a02563879feb468ba6a71fd179752bd7d751ead3ef 68676 zfsutils-udeb_8.2-1_kfreebsd-amd64.udeb
 eb3164dc7ade9450f46dbe3514d19857af0779bae0d58d319ee3472f1def0294 14058 libumem0_8.2-1_kfreebsd-amd64.deb
 9c99402858dc33332aab2e12aa45c271353fe1879f75963ee517757bcc3d5531 13090 libumem-dev_8.2-1_kfreebsd-amd64.deb
 735ba06acfe2c5c5385240c620cab5d0d37723eebec3ad024e030e8541e2fa97 2990 libumem0-udeb_8.2-1_kfreebsd-amd64.udeb
 b9e1f65a76ee44e5d5bb360c31936b6d2ae7f74c2d27ba69f2c5d56ed022bfc8 399934 libzpool0_8.2-1_kfreebsd-amd64.deb
 f9885cd24b0ef07e4b39e92d870216993e71d5ece2f6e7d9530ac15026cc26bd 505226 libzpool-dev_8.2-1_kfreebsd-amd64.deb
 06adf5e177908ebab5df3a657839b58b2f90bbfb981c6cf97f39ee875db25389 388370 libzpool0-udeb_8.2-1_kfreebsd-amd64.udeb
Files: 
 f9c6319c2a4f6717b9c890c29073bd74 1496 admin optional zfsutils_8.2-1.dsc
 7bda5fd4c9ffa8e7cab51c163f90e6f2 1326351 admin optional zfsutils_8.2.orig.tar.gz
 e1d9ff7383ad7301c87e1bf20337bf54 24024 admin optional zfsutils_8.2-1.diff.gz
 1a675f137e146feb2ed8a0bb8eebc298 28766 libs optional libuutil0_8.2-1_kfreebsd-amd64.deb
 1da7b5a97fef4730f868c7b38671fb42 30008 libdevel optional libuutil-dev_8.2-1_kfreebsd-amd64.deb
 75571967e5800e09bce50eba2ea64a60 17476 debian-installer optional libuutil0-udeb_8.2-1_kfreebsd-amd64.udeb
 e4bfbc28a04b442ae1c8792e3e80d205 30548 libs optional libnvpair0_8.2-1_kfreebsd-amd64.deb
 d8485bcc3a7f1b7a465191bd14791494 30288 libdevel optional libnvpair-dev_8.2-1_kfreebsd-amd64.deb
 a19b658372b40105d8667a8c1dae438e 19238 debian-installer optional libnvpair0-udeb_8.2-1_kfreebsd-amd64.udeb
 754b33d1682e2b0d1e115bf3e1f5b83c 107224 libs optional libzfs0_8.2-1_kfreebsd-amd64.deb
 2098d95fb062fdceeef42570dabb7403 136338 libdevel optional libzfs-dev_8.2-1_kfreebsd-amd64.deb
 763f92a454ef6b2b09f0d6f8e45ed36a 96210 debian-installer optional libzfs0-udeb_8.2-1_kfreebsd-amd64.udeb
 7af3b4d06ca3b4ec6cb2606c8f0048cb 190346 admin optional zfsutils_8.2-1_kfreebsd-amd64.deb
 ed35665402463d0f70b384f03e19bcb4 68676 debian-installer optional zfsutils-udeb_8.2-1_kfreebsd-amd64.udeb
 a86ea0fb750d33d8e604a3105de16721 14058 libs optional libumem0_8.2-1_kfreebsd-amd64.deb
 f66827239b07df16320ad3ee9cdbe774 13090 libdevel optional libumem-dev_8.2-1_kfreebsd-amd64.deb
 a236701076659c49539a17aa24ce35cf 2990 debian-installer optional libumem0-udeb_8.2-1_kfreebsd-amd64.udeb
 5420cab31a029d6b1a49de9998bb4ff3 399934 libs optional libzpool0_8.2-1_kfreebsd-amd64.deb
 26b0a684f78a3e60cd5acbe8bab63107 505226 libdevel optional libzpool-dev_8.2-1_kfreebsd-amd64.deb
 949c2933d5aefaa17952cf90873b8b3a 388370 debian-installer optional libzpool0-udeb_8.2-1_kfreebsd-amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFNsy6Qw3ao2vG823MRAi01AJ9xuJVWeIg4cJGwRSmbGW9dmqQuJACfSpNI
OuRtZFILfm7DQuXwK2yzr0E=
=DQFX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jul 2011 07:37:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:18:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.